package com.chenyang.nse.bussiness.entity.orm.table.core;

import com.chenyang.nse.bussiness.entity.orm.table.TBaseEntity;
import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Table(
   name = "T_CORE_SQLPARAMETER"
)
public class TCoreParameter extends TBaseEntity {
   private String parametername;
   private String maskingtablemappingid;

   public TCoreParameter() {
   }

   public TCoreParameter(String parametername, String maskingtablemappingid) {
      this.parametername = parametername;
      this.maskingtablemappingid = maskingtablemappingid;
   }

   public String getParametername() {
      return this.parametername;
   }

   public void setParametername(String parametername) {
      this.parametername = parametername;
   }

   public String getMaskingtablemappingid() {
      return this.maskingtablemappingid;
   }

   public void setMaskingtablemappingid(String maskingtablemappingid) {
      this.maskingtablemappingid = maskingtablemappingid;
   }

   public String toString() {
      return "TCoreParameter [parametername=" + this.parametername + ", maskingtablemappingid=" + this.maskingtablemappingid + "]";
   }

   public int hashCode() {
      int prime = 31;
      int result = 1;
      result = 31 * result + (this.maskingtablemappingid == null ? 0 : this.maskingtablemappingid.hashCode());
      result = 31 * result + (this.parametername == null ? 0 : this.parametername.hashCode());
      return result;
   }

   public boolean equals(Object obj) {
      if (this == obj) {
         return true;
      } else if (obj == null) {
         return false;
      } else if (this.getClass() != obj.getClass()) {
         return false;
      } else {
         TCoreParameter other = (TCoreParameter)obj;
         if (this.maskingtablemappingid == null) {
            if (other.maskingtablemappingid != null) {
               return false;
            }
         } else if (!this.maskingtablemappingid.equals(other.maskingtablemappingid)) {
            return false;
         }

         if (this.parametername == null) {
            if (other.parametername != null) {
               return false;
            }
         } else if (!this.parametername.equals(other.parametername)) {
            return false;
         }

         return true;
      }
   }
}
